Create an account
Create a new account
Request to create an Account
- Type: object
Request to create an Account
- businessType: object · BusinessProfile
_profile - businessType: string | null · BusinessTypeenum
_type The business type.
values- company
- individual
- non
_profit
- companyType: object · Company
Information about the company or business.
- countryType: stringmax length:100
The account's country.
- defaultType: string · CurrencyCode
_currency Three-letter ISO currency code representing the default currency for the account.
- detailsType: boolean
_submitted Whether account details have been submitted. Accounts with Paypercut Dashboard access, which includes Standard accounts, cannot receive payouts before this is true. Accounts where this is false should be directed to an onboarding flow to finish submitting account details.
- emailType: string | null
The email address of the account holder. This is only to make the account easier to identify to you.
- livemodeType: boolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadata
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.- propertyType: string
Name
- requirementsType: object · AccountRequirements
- tosType: object · tos_acceptance_specs
_acceptance Details on the account's acceptance of the Paypercut Services Agreement.
- typeType: stringenum
The type of account to create. May be one of
custom,expressorstandard.values- standard
- custom
- express
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.paypercut.io/v1/accounts \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"type": "standard",
"country": "GB",
"default_currency": "EUR",
"email": "john.smith@example.com",
"details_submitted": true,
"business_type": "company",
"tos_acceptance": {
"date": "",
"ip": "",
"user_agent": "",
"service_agreement": ""
},
"business_profile": {
"name": null,
"support_email": null,
"support_phone": null,
"support_url": null,
"mcc": 5411,
"url": "https://www.example.com",
"annual_revenue": {
"amount": 1,
"currency": "EUR",
"fiscal_year_end": ""
},
"support_address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"monthly_estimated_revenue": {
"amount": 1,
"currency": "EUR"
},
"product_description": null,
"estimated_worker_count": null
},
"company": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"directors_provided": true,
"executives_provided": true,
"name": null,
"owners_provided": true,
"phone": null,
"structure": "multi_member_llc",
"tax_id_provided": true,
"tax_id_registrar": "",
"vat_id_provided": true,
"directorship_declaration": {
"date": "",
"ip": "",
"user_agent": ""
},
"ownership_declaration": {
"date": "",
"ip": "",
"user_agent": ""
},
"representative_declaration": {
"date": "",
"ip": "",
"user_agent": ""
}
},
"requirements": {
"current_deadline": null,
"currently_due": [
""
],
"disabled_reason": "action_required.requested_capabilities",
"errors": [
{
"code": "external_request",
"reason": "",
"requirement": ""
}
],
"eventually_due": [
""
],
"past_due": [],
"pending_verification": [
""
]
},
"metadata": {
"additionalProperty": ""
},
"livemode": true
}'
{
"type": "standard",
"country": "GB",
"default_currency": "EUR",
"email": "john.smith@example.com",
"details_submitted": true,
"business_type": "company",
"tos_acceptance": {
"date": "2026-04-17T20:01:58.674Z",
"ip": "string",
"user_agent": "string",
"service_agreement": "string"
},
"business_profile": {
"name": null,
"support_email": null,
"support_phone": null,
"support_url": null,
"mcc": 5411,
"url": "https://www.example.com",
"annual_revenue": {
"amount": 1,
"currency": "EUR",
"fiscal_year_end": "string"
},
"support_address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"monthly_estimated_revenue": {
"amount": 1,
"currency": "EUR"
},
"product_description": null,
"estimated_worker_count": null
},
"company": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"directors_provided": true,
"executives_provided": true,
"name": null,
"owners_provided": true,
"phone": null,
"structure": "multi_member_llc",
"tax_id_provided": true,
"tax_id_registrar": "string",
"vat_id_provided": true,
"directorship_declaration": {
"date": "2026-04-17T20:01:58.674Z",
"ip": "string",
"user_agent": "string"
},
"ownership_declaration": {
"date": "2026-04-17T20:01:58.674Z",
"ip": "string",
"user_agent": "string"
},
"representative_declaration": {
"date": "2026-04-17T20:01:58.674Z",
"ip": "string",
"user_agent": "string"
}
},
"requirements": {
"current_deadline": null,
"currently_due": [
"string"
],
"disabled_reason": "action_required.requested_capabilities",
"errors": [
{
"code": "external_request",
"reason": "string",
"requirement": "string"
}
],
"eventually_due": [
"string"
],
"past_due": [],
"pending_verification": [
"string"
]
},
"metadata": {
"additionalProperty": "string"
},
"id": "01KAKB228G3K4E98NFVE2MGHW4",
"created": "2026-04-17T20:01:58.674Z"
}
